List threads
curl --request GET \
--url https://api-v3.aui.io/apollo-api/management/v1/threads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v3.aui.io/apollo-api/management/v1/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v3.aui.io/apollo-api/management/v1/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"title": "<string>",
"created_at": "<string>"
}
],
"meta": {
"has_more": true,
"after_cursor": "<string>",
"before_cursor": "<string>"
},
"links": {
"next": "<string>",
"prev": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"message": "<string>",
"field": "<string>"
}
]
}
}List threads
List your organization’s conversation threads, newest first. Repeatable
filters (tool, rule, param, created) OR within a field and
AND across fields.
GET
/
management
/
v1
/
threads
List threads
Authorizations
bearerAuthorganizationApiKey
Access token from POST /management/v1/auth/token (publishable-key exchange) or a login session. Publishable-key tokens are agent-scoped and serve the messaging surface; login tokens also serve management.
Query Parameters
Query filters for listing threads. Repeatable filters (tool,
rule, param, created) OR within a field and AND across fields.
Show child attributes
Show child attributes
Required range:
1 <= x <= 100Available options:
asc, desc ⌘I